[lsb-discuss] LSB 3.2 requires /usr/bin/foomatic-rip: rationale?

Denis Silakov dsilakov at gmail.com
Fri Jan 10 16:31:05 UTC 2014


On 01/10/14 18:30, Jeff Licquia wrote:
> On 01/10/2014 09:39 AM, Till Kamppeter wrote:
>> Hi,
>>
>> it seems that there is a possible bug in the LSB. The LSB seems to
>> require /usr/bin/foomatic-rip, but in reality the printing workflow uses
>> /usr/lib/cups/filter/foomatic-rip. /usr/bin/foomatic-rip is only for
>> convenience, debugging, and development. We should fix this.
> I've filed a bug:
>
> https://lsbbugs.linuxfoundation.org/show_bug.cgi?id=3900
>
> Quick summary: since it's been in the spec for a while, we can't just
> get rid of the old path.  But the new path should be added, and the old
> one deprecated for future removal.
>
> Feedback appreciated.  We'll probably start on this process for LSB 5.0,
> which is currently in beta.

As I have already noted in a bug, maybe it makes sense to just drop path 
part? Most commands in LSB are specified without path 
(http://linuxbase.org/navigator/browse/command.php)

-- 
Regards,
Denis.



More information about the lsb-discuss mailing list